Subject: [Roll] I-D Action: draft-ietf-roll-trickle-mcast-05.txt

From: [email-masked]
Date: Thu, 29 Aug 2013 07:30:25 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Routing Over Low power and Lossy networks Working Group of the IETF.

	Title           : Multicast Protocol for Low power and Lossy Networks (MPL)
	Author(s)       : Jonathan W. Hui
                          Richard Kelsey
	Filename        : draft-ietf-roll-trickle-mcast-05.txt
	Pages           : 25
	Date            : 2013-08-29

Abstract:
   This document specifies the Multicast Protocol for Low power and
   Lossy Networks (MPL) that provides IPv6 multicast forwarding in
   constrained networks.  MPL avoids the need to construct or maintain
   any multicast forwarding topology, disseminating messages to all MPL
   Forwarders in an MPL Domain.  MPL uses the Trickle algorithm to
   manage message transmissions for both control and data-plane
   messages.  Different Trickle parameter configurations allow MPL to
   trade between dissemination latency and transmission efficiency.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-roll-trickle-mcast

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-roll-trickle-mcast-05

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-roll-trickle-mcast-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Jonathan Hui (johui)" <[email-masked]>
Date: Thu, 29 Aug 2013 14:34:38 +0000

This update attempts to address all of the open tickets.  A summary of changes is below.  Please provide feedback on these changes.  Thanks.

111:
- We have not received any other comments from the WG on this matter.  As a result, no action will be taken.

113:
- We have not received any other comments from the WG on this matter.  As a result, no action will be taken.

127:
- Updated Section 1 to add RFC 3903 (PIM-DM) and RFC 4601 (PIM-SM) as citations for "traditional IPv6 multicast routing and forwarding."
- Updated Section 5.5 "worst-case link-layer latency" to "expected link-layer latency".
- Updated Section 5.5 default value for DATA_MESSAGE_K to 1.
- Updated Section 6.2 to indicate 0 or more MPL Seed Info rather than 1 or more.
- Updated Section 8 to define Realm-Local and moved to Protocol Overview section.
- Updated Section 10.1 to remove any implication that a device belongs to only one MPL Domain.
- Updated Section 11.2 to explicitly indicate state at the receiver.
- Updated Section 11.2 to explicitly specify that Trickle timer is reset in response to external events.

128:
- Updated Applicability Statement to indicate that (i) MPL may be used over LLN and non-LLN networks, (ii) scope is administratively defined, and (iii) hosts need not be aware of MPL but can be if they choose to.

129:
- Updated Section 4.2 to explicitly indicate that proactive and reactive are not mutually exclusive.  Proactive and reactive techniques may be used simultaneously within an MPL Domain.  For example, upon receiving a new MPL Data messages when both proactive and reactive forwarding techniques are enabled, an MPL Forwarder will proactively retransmit the MPL Data Message a limited number of times and schedule further transmissions upon receiving MPL Control Messages.

130:
- Updated Section 5.5 to clarify the meaning of DATA_MESSAGE_TIMER_EXPIRATIONS.

131:
- Updated Section 5.5 to clarify the choice of default parameter values in the document and specifically why setting IMIN=IMAX for data messages only is acceptable.

132:
- Updated Section 8 to define Realm-Local and moved to Protocol Overview section.

--
Jonathan Hui

On Aug 29, 2013, at 7:30 AM, <[email-masked]> wrote:

> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll